<?php

namespace App\Http\Controllers\Bookings;

use App\Classes\Modules\Bookings\ControllersLogic\RegenerateInvoiceBookingLogic;
use App\Classes\Modules\Bookings\ControllersLogic\BatchBookingsGenerateEInvoiceLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class RegenerateBookingEInvoiceController
{
    /**
     * @param Request $request
     * @param RegenerateInvoiceBookingLogic $logic
     * @return JsonResponse
     */
    public function regenerate(Request $request, RegenerateInvoiceBookingLogic $logic): JsonResponse {
        return $logic->execute($request);
    }

    /**
     * @param Request $request
     * @param BatchBookingsGenerateEInvoiceLogic $logic
     * @return JsonResponse
     */
    public function batchProcess(Request $request, BatchBookingsGenerateEInvoiceLogic $logic): JsonResponse {
        return $logic->execute($request);
    }

    /**
     * @param Request $request
     * @param RegenerateInvoiceBookingLogic $logic
     * @return JsonResponse
     */
    public function tryRegenerate(Request $request, RegenerateInvoiceBookingLogic $logic): JsonResponse {
        return $logic->execute($request);
    }
}
